ch.qos.logback.core.boolex

## Class EvaluationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ch.qos.logback.core.boolex.EvaluationException

All Implemented Interfaces:
  java.io.Serializable

    public class EvaluationException
    extends java.lang.Exception

This exception wraps exceptions thrown while evaluating events.

Author:
  Ceki Gülcü
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EvaluationException(java.lang.String msg)`
`EvaluationException(java.lang.String msg, java.lang.Throwable cause)`
`EvaluationException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EvaluationException

    public EvaluationException(java.lang.String msg)

#### EvaluationException

    public EvaluationException(java.lang.String msg,
                       java.lang.Throwable cause)

#### EvaluationException

    public EvaluationException(java.lang.Throwable cause)